export declare enum ImpactEnum {
    BIO = "Bio",
    CARBON = "Carbon",
    WATER_POLLUTION = "WaterPollution",
    WATER_USAGE = "WaterUsage"
}
export declare enum ImpactValueEnum {
    BIO = "bio",
    CARBON = "carbon",
    EUTRO = "eutro",
    WATER = "water"
}
export declare enum ImpactMeasuresEnum {
    BIO = "",
    CARBON = "CO\u2082 eq.",
    EUTRO = "PO\u2084\u00B3\u207B eq.",
    WATER = "eq."
}
export declare enum ImpactUnitsEnum {
    GRAM = "g",
    KILO_LITER = "kl",
    LITER = "L",
    SLI = "SLI",
    TON = "t"
}
export declare enum UnitTypeEnum {
    SLI = "SLI",
    VOLUME = "VOLUME",
    WEIGHT = "WEIGHT"
}
export declare enum WeightUnitEnum {
    g = "g",
    gt = "gt",
    kg = "kg",
    kt = "kt",
    mt = "mt",
    t = "t"
}
export declare enum VolumeUnitEnum {
    gl = "gl",
    kl = "kl",
    l = "l",
    ml = "ml",
    tl = "tl"
}
export declare enum SLIUnitEnum {
    DEFAULT = "DEFAULT",
    M = "M"
}
export declare const IMPACT_UNIT_DETAILS: {
    SLI: {
        DEFAULT: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            UNIT_ID: SLIUnitEnum;
            VALUE: number;
        };
        M: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            UNIT_ID: SLIUnitEnum;
            VALUE: number;
        };
    };
    VOLUME: {
        gl: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            UNIT_ID: VolumeUnitEnum;
            VALUE: number;
        };
        kl: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            UNIT_ID: VolumeUnitEnum;
            VALUE: number;
        };
        l: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            UNIT_ID: VolumeUnitEnum;
            VALUE: number;
        };
        ml: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            UNIT_ID: VolumeUnitEnum;
            VALUE: number;
        };
        tl: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            UNIT_ID: VolumeUnitEnum;
            VALUE: number;
        };
    };
    WEIGHT: {
        g: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            UNIT_ID: WeightUnitEnum;
            VALUE: number;
        };
        gt: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            UNIT_ID: WeightUnitEnum;
            VALUE: number;
        };
        kg: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            UNIT_ID: WeightUnitEnum;
            VALUE: number;
        };
        kt: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            UNIT_ID: WeightUnitEnum;
            VALUE: number;
        };
        mt: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            UNIT_ID: WeightUnitEnum;
            VALUE: number;
        };
        t: {
            UNIT: string;
            UNIT_DESCRIPTION: string;
            UNIT_ID: WeightUnitEnum;
            VALUE: number;
        };
    };
};
export declare const BASE_UNIT_DESCRIPTIONS: {
    [x: string]: string;
};
export declare const IMPACT_LABELS: Record<ImpactValueEnum, string>;
export interface IImpactStats {
    border: string;
    hover: string;
    icon: string;
    id: ImpactEnum;
    label: string;
    measure: ImpactMeasuresEnum;
    selected: string;
    selectedHover: string;
    text: string;
    unit: string;
    value: ImpactValueEnum;
}
/**
 * TODO: Designers going to define all shades of colors
 * for impacts till then keeping hard coded hex values
 */
export declare const IMPACT_STATS: IImpactStats[];
export declare enum ImpactGradesEnum {
    A = "A",
    B = "B",
    C = "C",
    D = "D",
    E = "E"
}
export declare const IMPACT_SCORE_BANDS: Record<ImpactGradesEnum, [number, number]>;
export declare const IMPACT_GRADE_GAUGE_COLORS: Record<ImpactGradesEnum, {
    background: string;
    stroke: string;
}>;
export declare const CARBON_INTENSITY_SCORE: {
    bg: string;
    range: string;
    text: string;
}[];
export declare const DATA_QUALITY_SCORE: {
    bg: string;
    contrast: string;
    title: string;
    text: string;
}[];
//# sourceMappingURL=impactConstants.d.ts.map