import React from 'react';
interface IHelpLabels {
    left: React.ReactNode;
    right: React.ReactNode;
}
export interface IToggleSwitchProps extends Omit<React.ComponentPropsWithoutRef<'button'>, 'onChange' | 'value' | 'name'> {
    /**
     * Defines the checked state of the toggle switch
     */
    checked: boolean;
    /**
     * Defines the Switch group layout
     */
    groupClassName?: string;
    /**
     * Defines the left and right help labels
     */
    helpLabels?: IHelpLabels;
    /**
     * Defines the Switch label
     */
    label?: React.ReactNode;
    /**
     * Defines the Switch label props
     * - see props in here - https://headlessui.dev/react/switch#switch-label
     */
    labelProps?: any;
    /**
     * Defines the
     */
    onChange: (checked: boolean) => void;
    /**
     * Define icon for left side.
     * In order to enable icon mode, both leftIcon and rightIcon props should be given.
     */
    leftIcon?: string;
    /**
     * Define icon for right side.
     * In order to enable icon mode, both leftIcon and rightIcon props should be given.
     */
    rightIcon?: string;
    /**
     * Defines inner labels visibility
     */
    showYesNoLabel?: boolean;
}
declare const ToggleSwitch: React.ForwardRefExoticComponent<IToggleSwitchProps & React.RefAttributes<HTMLButtonElement>>;
export default ToggleSwitch;
//# sourceMappingURL=ToggleSwitch.d.ts.map